Inyett Company Monitor
Update change status
Marks a detected change as processed (or otherwise updates its status), so it can be tracked as handled by the consuming system.
PUT
/
3
/
{profileCountry}
/
monitor
/
portfolios
/
{id}
/
changes
/
{changeId}
Update change status
curl --request PUT \
--url https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}"
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO Identifier of the resource, as returned when it was created.
Identifier of a specific detected change on a monitored portfolio company.
Body
application/jsontext/jsonapplication/*+json
Processing status of a detected portfolio change.
Available options:
UnProcessed, InProgress, Completed, CompletedWithAction Response
OK
Was this page helpful?
⌘I
Update change status
curl --request PUT \
--url https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}"
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/changes/{changeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}